Package wx :: Package py :: Module editor :: Class EditorFrame

[frames | no frames]

## Type EditorFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                             Frame --+
                                     |
                                    EditorFrame

Known Subclasses:
  `EditorNotebookFrame`

Frame containing one editor.

Method Summary
| ``__init__`(self, parent, id, title, pos, size, style, filename)` Create EditorFrame instance.
| ``bufferClose`(self)` Close buffer.
| ``bufferCreate`(self, filename)` Create new buffer.
| ``bufferDestroy`(self)` Destroy the current buffer.
| ``bufferHasChanged`(self)` Return True if buffer has changed since last save.
| ``bufferNew`(self)` Create new buffer.
| ``bufferOpen`(self)` Open file in buffer.
| ``bufferSave`(self)` Save buffer to its file.
| ``bufferSaveAs`(self)` Save buffer to a new filename.
| ``bufferSuggestSave`(self)` Suggest saving changes.
| ``hasBuffer`(self)` Return True if there is a current buffer.
| ``OnAbout`(self, event)` Display an About window.
| ``OnClose`(self, event)` Event handler for closing.
| ``OnIdle`(self, event)` Event handler for idle time.
| `setEditor(self, editor)`
| ``updateNamespace`(self)` Update the buffer namespace for autocompletion and calltips.

Property Summary

Class Variable Summary

Instance Method Details

### __init__(self, parent=None, id=-1, title='PyAlaCarte', pos=wx.Point(-1, -1), size=(800, 600), style=541072960, filename=None)
(Constructor)

Create EditorFrame instance.

  Overrides:
    `wx.py.frame.Frame.__init__`

### bufferClose(self)

Close buffer.

### bufferCreate(self, filename=None)

Create new buffer.

### bufferDestroy(self)

Destroy the current buffer.

### bufferHasChanged(self)

Return True if buffer has changed since last save.

### bufferNew(self)

Create new buffer.

### bufferOpen(self)

Open file in buffer.

### bufferSave(self)

Save buffer to its file.

### bufferSaveAs(self)

Save buffer to a new filename.

### bufferSuggestSave(self)

Suggest saving changes. Return True if user selected Cancel.

### hasBuffer(self)

Return True if there is a current buffer.

### OnAbout(self, event)

Display an About window.

  Overrides:
    `wx.py.frame.Frame.OnAbout`

### OnClose(self, event)

Event handler for closing.

  Overrides:
    `wx.py.frame.Frame.OnClose`

### OnIdle(self, event)

Event handler for idle time.

### updateNamespace(self)

Update the buffer namespace for autocompletion and calltips.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:43 2007 | http://epydoc.sf.net